
const tableGemmes = {
  "almaze": { label: "Almaze", couleur: "Blanc"},
  "aquafane": { label: "Aquafane", couleur: "Vert Profond"},
  "asterite": { label: "Astérite", couleur: "Bleu, Violet ou Blanc"},
  "cyanolithe": { label: "Cyanolithe", couleur: "Bleu Intense"},
  "larmededragon": { label: "Larme de Dragon", couleur: "Rouge Intense"},
  "muska": { label: "Muska", couleur: "Violet Profond"},
  "nebuleuse": { label: "Nébuleuse", couleur: "Brouillard Intense"},
  "nebuleuse": { label: "Nébuleuse", couleur: "Brouillard Intense, Rose, Vert ou Bleu Pâle"},
  "oeildetigre": { label: "Oeil de Tigre", couleur: "Jaune"},
  "scarlatine": { label: "Scarlatine", couleur: "Rouge Clair ou Orangé"},
  "seliphane": { label: "Séliphane", couleur: "Vert Lumineux"},
  "tournelune": { label: "Tournelune", couleur: "Violet ou Bleu"},
  "zebraide": { label: "Zebraïde", couleur: "Bandes Bicolores, toutes couleurs"}
}

export class RdDGemme extends Item {

  static getGemmeTypeOptionList() {
    let options = ""
    for (let gemmeKey in tableGemmes) {
      let gemmeData = tableGemmes[gemmeKey];
      options += `<option value="${gemmeKey}">${gemmeData.label}</option>`
    }
    return options;
  }

  static calculDataDerivees(data) {
    data.cout = (data.taille * data.purete) + data.qualite;
    data.inertie = 7 - data.purete;
    data.enchantabilite = data.taille - data.inertie;
  }

}
